This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 641690 - Review Request: k4dirstat - Graphical Directory Statistics for Used Disk Space
Review Request: k4dirstat - Graphical Directory Statistics for Used Disk Space
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2010-10-10 06:31 EDT by Dmitrij S. Kryzhevich
Modified: 2015-04-28 08:44 EDT (History)
8 users (show)

See Also:
Fixed In Version: k4dirstat-2.7.0-0.5.20101010git6c0a9e6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-09 04:10:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitrij S. Kryzhevich 2010-10-10 06:31:23 EDT
Spec URL: http://depositfiles.com/files/25ejwpc8d
SRPM URL: http://depositfiles.com/files/l76ve9rcv
Description:
KDirStat (KDE Directory Statistics) is a utility program that sums up disk usage for directory trees - very much like the Unix 'du' command. It can also help you clean up used space.                                                                                
                                                                                                                         
It is the port to KDE4 of kdirstat.

# rpmlint k4dirstat-2.7.0-0.1.20101010gitdd2de8e.fc13.src.rpm k4dirstat-2.7.0-0.1.20101010gitdd2de8e.fc13.x86_64.rpm 
k4dirstat.src: W: spelling-error %description -l en_US du -> dew, doe, Du
k4dirstat.src: W: strange-permission k4dirstat-snapshot.sh 0744L
k4dirstat.src: W: invalid-url Source0: k4dirstat-2.7.0.tar.bz2
k4dirstat.x86_64: W: spelling-error %description -l en_US du -> dew, doe, Du
k4dirstat.x86_64: W: no-manual-page-for-binary k4dirstat
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Permission: it is the script to get k4dirstat snapshot, so it needs "x" flag.
Invalid-url: there is no "release" sources.
No-manual-page-for-binary: hm... is there something needs to be changed but not in upstream?

I'l send sugestion for path in upstream.

I need to be sponsored, and I have already ask one in https://bugzilla.redhat.com/show_bug.cgi?id=640889.
Comment 1 Chitlesh GOORAH 2010-10-10 06:41:43 EDT
Why don't you use your FASUSERNAME.fedorapeople.org to host your files ?

Also please obsolete package "kdirstat" on your spec file. Once you do it, I'll make my package "kdirstat" as dead.package.
Comment 2 Kevin Kofler 2010-10-10 07:14:52 EDT
> BuildRequires:  kdelibs-devel
> BuildRequires:  kdebase-devel

should be kdelibs4-devel and kdebase4-devel to make sure you get the correct ones. (Also, what does this use kdebase-devel for? libkonq?)
Comment 3 Dmitrij S. Kryzhevich 2010-10-10 07:33:08 EDT
Changed. Kdebase4-devel require kdelibs4-devel, dropped it.
Yes, libkonq.

SPEC: http://depositfiles.com/files/rx8t7c8uq
SRPM: http://depositfiles.com/files/6r0zwfkpr
Comment 4 Dmitrij S. Kryzhevich 2010-10-10 07:36:44 EDT
(In reply to comment #1)
> Why don't you use your FASUSERNAME.fedorapeople.org to host your files ?

I could do it only after getting sponsored.

> Also please obsolete package "kdirstat" on your spec file. Once you do it, I'll
> make my package "kdirstat" as dead.package.

Just add
Obsoletes: kdirstat
Provides: kdirstat
? Or only first?
Comment 5 Dmitrij S. Kryzhevich 2010-10-10 23:49:24 EDT
SPEC: http://depositfiles.com/files/7pcm2e7vk
SRPM: http://depositfiles.com/files/2w0mk275j

Added obsoletes for kdirstat, sources updated, dropped zlib patch as accepted by upstream.

# rpmlint k4dirstat-2.7.0-0.3.20101010git6c0a9e6.fc13.src.rpm k4dirstat-2.7.0-0.3.20101010git6c0a9e6.fc13.x86_64.rpm 
k4dirstat.src: W: spelling-error %description -l en_US du -> dew, doe, Du
k4dirstat.src: W: strange-permission k4dirstat-snapshot.sh 0744L
k4dirstat.src: W: invalid-url Source0: k4dirstat-2.7.0.tar.bz2
k4dirstat.x86_64: W: spelling-error %description -l en_US du -> dew, doe, Du
k4dirstat.x86_64: W: no-manual-page-for-binary k4dirstat
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

No new warnings.

Anything else?
Comment 6 Dmitrij S. Kryzhevich 2010-10-12 21:59:49 EDT
May be it will be better

SPEC: http://krege.land.ru/rpms/k4dirstat.spec
SRPM: http://krege.land.ru/rpms/k4dirstat-2.7.0-0.3.20101010git6c0a9e6.fc13.src.rpm
Comment 7 Dmitrij S. Kryzhevich 2010-10-30 00:15:00 EDT
Remove "need sponsor" (get it in another review).
Comment 8 Tom "spot" Callaway 2010-12-02 11:50:01 EST
=== Review ===

== Bad ==

License: GPLv2 and LGPLv2 is not quite right. The code is clearly a mix of GPL and LGPL, but the version is never specified by upstream, so we need to ask upstream to clarify if a version of each license is preferred (the versioning in the License texts doesn't tell us the answer to this because of how the GPL and LGPL are written).

Alternately, we can simply assume that any version of the licenses are applicable (License: GPL+ and LGPLv2+), because of how the GPL and LGPL are written, but I think it would be easiest for you to ask upstream to indicate which versions of those licenses the code is under. Also, ask them to indicate the versioning in their source code so that it will be clear for everyone.

== Good ==

- rpmlint says:
k4dirstat.src: W: spelling-error %description -l en_US du -> dew, doe, Du
k4dirstat.src: W: strange-permission k4dirstat-snapshot.sh 0744L
k4dirstat.src: W: invalid-url Source0: k4dirstat-2.7.0.tar.bz2
k4dirstat.x86_64: W: spelling-error %description -l en_US du -> dew, doe, Du
k4dirstat.x86_64: W: no-manual-page-for-binary k4dirstat

All safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2 or LGPLv2) not OK, text in %doc
- spec file legible, in am. english
- package compiles on F-14 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file ok

== Notes ==
* %clean is unnecessary in active Fedora targets, see:
https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean (it is still
needed if you need this package for EPEL)
* BuildRoot is unnecessary in active Fedora targets, see:
https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag (it is still
needed if you need this package for EPEL)
* It is no longer necessary to delete the buildroot as the first step of
%install in active Fedora targets. It is still needed if you need this package
for EPEL.

Get the license clarification and update the tag, and I will approve this package. The items in Notes would be nice to see resolved at the same time, but I won't require them.
Comment 9 Tom "spot" Callaway 2010-12-02 11:51:02 EST
P.S. If you can review https://bugzilla.redhat.com/show_bug.cgi?id=659368 in trade for this one, I'd appreciate it.
Comment 10 Dmitrij S. Kryzhevich 2010-12-03 01:33:46 EST
Sent a letter to developer. Will wait for a while for an answer.
Comment 11 Dmitrij S. Kryzhevich 2010-12-04 05:15:56 EST
And answer is: v.2 only. No update is needed. (But will ask original author of kdirstat as k4dirstat is a port of it on KDE4)
SPEC: http://krege.fedorapeople.org/k4dirstat/k4dirstat.spec
SRPM: http://krege.fedorapeople.org/k4dirstat/k4dirstat-2.7.0-0.4.20101010git6c0a9e6.fc14.src.rpm

New spec is cleaned from unnecessary items.
Comment 12 Tom "spot" Callaway 2010-12-06 09:53:45 EST
Approved, thanks for your work.
Comment 13 Dmitrij S. Kryzhevich 2010-12-07 01:37:11 EST
New Package SCM Request
=======================
Package Name: k4dirstat
Short Description: Graphical Directory Statistics for Used Disk Space
Owners: krege
Branches: f13 f14
InitialCC:
Comment 14 Jens Petersen 2010-12-08 19:53:05 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2010-12-09 04:11:35 EST
k4dirstat-2.7.0-0.4.20101010git6c0a9e6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/k4dirstat-2.7.0-0.4.20101010git6c0a9e6.fc13
Comment 16 Fedora Update System 2010-12-09 04:12:35 EST
k4dirstat-2.7.0-0.4.20101010git6c0a9e6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/k4dirstat-2.7.0-0.4.20101010git6c0a9e6.fc14
Comment 17 Fedora Update System 2010-12-10 15:32:05 EST
k4dirstat-2.7.0-0.4.20101010git6c0a9e6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-12-16 04:16:24 EST
k4dirstat-2.7.0-0.5.20101010git6c0a9e6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/k4dirstat-2.7.0-0.5.20101010git6c0a9e6.fc13
Comment 19 Fedora Update System 2010-12-24 19:22:47 EST
k4dirstat-2.7.0-0.5.20101010git6c0a9e6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Dmitrij S. Kryzhevich 2015-04-27 23:42:44 EDT
Package Change Request
======================
Package Name: k4dirstat
New Branches: el6 epel7
Owners: krege
InitialCC: krege

NOTE I'm a maintainer of this package.
Comment 21 Jon Ciesla 2015-04-28 08:44:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.